Bug 132698 - double free or corruption on exit from perl
double free or corruption on exit from perl
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Chip Turner
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-09-15 18:20 EDT by Daniel Drucker
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-16 22:48:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Drucker 2004-09-15 18:20:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3)
Gecko/20040913 Firefox/0.10

Description of problem:
glibc throws a "double free or corruption" every time I exit from perl
-MCPAN -e shell

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

# perl -MCPAN -e shell    

cpan shell -- CPAN exploration and modules installation (v1.7601)
ReadLine support enabled

cpan> quit
Lockfile removed.
*** glibc detected *** double free or corruption: 0x08610b28 ***

Additional info:
Comment 1 Jakub Jelinek 2004-09-15 18:34:08 EDT
That's double free or corruption in perl...
Comment 2 Daniel Drucker 2004-09-15 21:29:50 EDT
I get the same error when exiting PINE.
Comment 3 Daniel Drucker 2004-09-16 17:12:37 EDT
My mistake, the PINE thing was something else.

I have narrowed this down to a problem in perl module Term::ReadLine... 
[dmd@eco ~]$ cat tester.pl

use Term::ReadLine;
my $term = new Term::ReadLine::Gnu;
[dmd@eco ~]$ perl tester.pl
*** glibc detected *** double free or corruption: 0x08107ab0 ***
[dmd@eco ~]$ 
Comment 4 Daniel Drucker 2004-09-16 17:25:01 EDT
I've sent a note to the listed author of Term::ReadLine::Gnu.

Note You need to log in before you can comment on or make changes to this bug.